net.i2p.router.web

## Class ProfileOrganizerRenderer

- java.lang.Object
- - net.i2p.router.web.ProfileOrganizerRenderer

-      class ProfileOrganizerRenderer
      extends Object

  Helper class to refactor the HTML rendering from out of the ProfileOrganizer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProfileOrganizerRenderer(ProfileOrganizer organizer, RouterContext context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `ngettext(String s, String p, int n)` translate (ngettext) @since 0.8.5
    `void` | `renderStatusHTML(Writer out, boolean full)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProfileOrganizerRenderer

          public ProfileOrganizerRenderer(ProfileOrganizer organizer,
                                  RouterContext context)

  - ### Method Detail

    - #### renderStatusHTML

          public void renderStatusHTML(Writer out,
                              boolean full)
                                throws IOException

      Throws:
        `IOException`

    - #### ngettext

          public String ngettext(String s,
                        String p,
                        int n)

      translate (ngettext) @since 0.8.5